[Deprecated, use Aeva] YouTube BBCode v2.6

Started by Nao 尚, September 27, 2007, 05:51:05 PM

Previous topic - Next topic

WX

After a while of attempts I got it working :)

Thanks

It seems when i copied the 2nd piece of code.

"array( 'tag' => 'youtube', 'type' => 'unparsed_content', 'validate' => cr ....."

It pastes as 1 line of code.

Thanks again for your help.

ddarrell

This installed flawlessly, and is very nice.

Thanks,

darrell
i know just enough to really screw up ;D

ianus

Greetings!

It seems that this (YouTube BBCode v2.3) mod isn't compatible with the Integrate Lightbox.

The IE wont open a thread which contains a youtube movie when the lightbox mod is installed.

I noticed this error when I try to show a thread which has an youtube video inside.
Screenshot is attached.

You can try this thread
http://www.firopolis.de/smf/index.php?topic=2.msg3
(I won't stay forever. Is only a test environment created for this error.)

This only happens with the IE.
I tried it with IE Version 6 under XP and IE Version 7 under Vista.
(Both with "normal" secure settings and an insecure as possible.)
Firefox 2 show the thread correct.
Haven't tested Firefox 3 or Opera.

I noticed this error in my active board, SMF1.1.4. (lightbox 1.5, latetest Tube mod)
While trying to find the problem, I have manually checked the source code of the files which are changed by mods.
After that I run a clean installation of SMF 1.1.5 and installed the mods I want to use via the package manager. ( Always the latest versions for 1.1.x)
The lightbox mod is the latest in a (short) row and I can reproduce the error now.

After deinstallation of the lightbox, my IE is showing a youtube movie as expected, new installation breaks the thread again ... and so on.
If this mod and the lightbox are installed and one of the other mods are deinstalled, the error is still there.
The lightbox mod is working as expected.

Why I write here and not there?
I think both mods are affected in the same way, but I don't want to post in both threads.
I know that both mod haven`t the same author (meanwhile). But maybe karlbenson and  quake101 are still having some contact. So I hope both could find a solution.
And imho karlbenson still knows more about the lightbox mod than quake101 about this mod.

So I decided to post here and hope that somebody can give me a hint.

Thanks in advance.

deafpositive


Blank Button - The Icon is Missing
Are you using the SMF default core theme? If the answer is NO.
You will also need to place a copy of the youtube.gif in each of your themes bbc image folders (eg Themes/{themename}/images/bbc)

My answer is "YES" do I still need to do this?

karlbenson

You'll only need to do it if the icon is missing.

If the mod isn't functioning as its meant to
- check each of the edits manually that it was performed correctly
- check for errors in your smf error log

Bobn

Hi,

Installed the mod, button shows, it generates the code but it shows the code in the post, no your tube vid. Do I have to enable bcc or something?? Using version 1.6


karlbenson

I suspect that the edit wasn't correctly made by smf to Subs.php

Either grab the edit you need to make from inside the Mod package directly, or look at the list of edits on the mod-site
(select your version, then hit submit).

It might be worth checking all the edits, but i suspect its the one to Subs.php which didn't work (and this is the most important one)

Bobn

Hi,

I get a screen "FTP information required" to install teh mod. I enter the info and get this error:

QuoteSome of the files the package manager needs to modify are not writable. This needs to be changed by logging into FTP and using it to chmod or create the files and folders. Your FTP information may be temporarily cached for proper operation of the package manager.
550 /forum: No such file or directory

The forum is in the /forum dir

karlbenson

You'll have to edit the files manually then.

Get the edits via the mod site, then via ftp, edit each file, making the change as directed

Bobn

#169
Quote from: karlbenson on September 13, 2008, 08:50:12 PM
You'll have to edit the files manually then.

Get the edits via the mod site, then via ftp, edit each file, making the change as directed

Hi,

Do you offer to change the files for a fee?

karlbenson

I'm not available for hire full stop.

Doing this edits is relatively simple.
If you're using english, and the default core theme, theres only three edits to make in fact

http://custom.simplemachines.org/mods/area51/index.php?action=parse;mod=936;attach=58997;smf_version=1.1.6

Bobn

Quote from: karlbenson on September 13, 2008, 09:34:57 PM
I'm not available for hire full stop.

Doing this edits is relatively simple.
If you're using english, and the default core theme, theres only three edits to make in fact

http://custom.simplemachines.org/mods/area51/index.php?action=parse;mod=936;attach=58997;smf_version=1.1.6

Hi,

Im using the default theme so I

Edidted 'flash' => array('code' => 'flash',

Edidted this ./Sources/Subs.php

Edidted this ./Themes/default/Post.template.php

And put the gif in the correct folder still nothing.

Bobn


karlbenson

any errors in your error log?

Bobn

#174
Quote from: karlbenson on September 14, 2008, 02:02:19 PM
any errors in your error log?

No, The forum has the you tube image, gives the  [youtube} blah blah [/youtube}  in the message but when you post it just displays the BBC code


I tried re installing using the mod control. It asked for FTP info. I finally figured out it needed  the path to be httpdocs/forum . It produced this error:

QuoteInstalling this package will perform the following actions:  Type Action Description
1. Execute Modification install-1.1.x.xml Modification parse error
2. Execute Modification - Modification parse error
3. Extract File ./Themes/default/images/bbc/youtube.gif

Also default warning:

Quote!!Error in Package Installation

At least one error was encountered during a test installation of this package. It is strongly recommended that you do not continue with installation unless you know what you are doing, and have made a backup very recently. This error may be caused by a conflict between the package you're trying to install and another package you have already installed, an error in the package, a package which requires another package that you don't have installed yet, or a package designed for another version of SMF.

Also Error Log:

Quotehttp://www.jamestownceilidhband.com/forum/index.php?action=packages;sa=install;package=YouTube_BBCode_v2.3.zip 
8: Undefined index: package_readme
File: /home/jamestownceilidhband.com/httpdocs/forum/Sources/Packages.php
Line: 292

Bobn


sabby

Hey, terrific mod you have here. I have to ask, are there any plans on updating it for 1.1.6? I'm asking because this is the only reason why I haven't updated yet. lol Thanks

Bobn

Quote from: sabby on September 15, 2008, 09:08:35 PM
Hey, terrific mod you have here. I have to ask, are there any plans on updating it for 1.1.6? I'm asking because this is the only reason why I haven't updated yet. lol Thanks

I just installed it on 1.6 works fine

sabby

Quote from: Bobn on September 15, 2008, 09:21:02 PM
Quote from: sabby on September 15, 2008, 09:08:35 PM
Hey, terrific mod you have here. I have to ask, are there any plans on updating it for 1.1.6? I'm asking because this is the only reason why I haven't updated yet. lol Thanks

I just installed it on 1.6 works fine
Thanks for the info! I guess I'll go ahead and update then. :)

feelingshehides

Great Mod! Works without problems

Advertisement: